<?php

/**
 * @file
 *   Add views functionality to Interests
 *
 */

/**
 * Implementation of hook_views_data().
 *
 * @see interests_install()
 * It's using not a regular table, but an SQL view
 */
function interests_views_data() {
  $data['interests_nodes']['table']['group'] = t('Node interests');
  $data['interests_nodes']['table']['join']['node'] = array(
    'left_field' => 'nid',
    'field' => 'nid',
  );
  $data['interests_nodes']['total_count'] = array(
    'title' => t('Relevancy'),
    'help' => t('The interest level of the given node'),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );
  $data['interests_nodes']['interest_user'] = array(
    'title' => t('User related to the interest'),
    'help' => t('The user of the recommendation'),
    'argument' => array(
      'handler' => 'views_handler_argument_user_uid',
      'name field' => 'name',
      'numeric' => TRUE,
      'validate type' => 'uid',
    ),
  );
  return $data;
}

